//
//  AliMNSClient.h
//  AlibabaCloudMNSiOS
//
//  Created by David Chen on 28/03/2017.
//  Copyright © 2017 AliCloud. All rights reserved.
//
#import "AliMNSHttp.h"
#import "AliMNSRequest.h"
#import "AliMNSResponse.h"

@class AliMNSRequestBase;
@class AliMNSResponseBase;

@interface AliMNSClient : NSObject
@property NSString* host;
@property NSString* accessId;
@property NSString* accessKey;
@property NSString* version;
@property NSString* securityToken;
@property AliMNSHttp* http;

-(instancetype)initWithHost:(NSString*) host
     withAccessId:(NSString*) accessId
    withAccessKey:(NSString*) acceessKey
      withVersion:(NSString*) version
withSecurityToken:(NSString*) securityToken;

-(void) sendRequest:(AliMNSRequestBase*) req
       withResponse:(AliMNSResponseBase*) res;

-(void)sendAyncRequest:(AliMNSRequestBase*) req
          withResponse:(AliMNSResponseBase*) res
   withResponseHanlder:(void (^)(AliMNSResponseBase * ayncRes)) responseHandler;

@end
