//
//  AliMNSException.h
//  AlibabaCloudMNSiOS
//
//  Created by David Chen on 28/03/2017.
//  Copyright © 2017 AliCloud. All rights reserved.
//
#import <Foundation/Foundation.h>

@interface AliMNSServerException : NSException
@property NSString* errorCode;
@property NSString* message;
@property NSString* requestId;
@property NSString* hostId;
@property NSString* httpStatus;

- (id) initWithCode:(NSString*) pCode
        withMessage:(NSString*) pMessage
      withRequestId:(NSString*) pRequestId
         withHostId:(NSString*) pHostId;

@end

@interface AliMNSClientNetworkException : NSException
@property NSError* error;
@property NSString* subMessage;

-(id) initWithError:(NSError*) pError;
@end

