//
//  AliMNSException.m
//  AlibabaCloudMNSiOS
//
//  Created by David Chen on 28/03/2017.
//  Copyright © 2017 AliCloud. All rights reserved.
//

#import <Foundation/Foundation.h>
#include "AliMNSException.h"

@implementation AliMNSServerException
@synthesize errorCode;
@synthesize message;
@synthesize requestId;
@synthesize hostId;
@synthesize httpStatus;

- (id) initWithCode:(NSString*) pCode
        withMessage:(NSString*) pMessage
      withRequestId:(NSString*) pRequestId
         withHostId:(NSString*) pHostId
{
    errorCode = pCode;
    message = pMessage;
    requestId = pRequestId;
    hostId = pHostId;

    httpStatus = nil;
    return self;
}
@end

@implementation AliMNSClientNetworkException
@synthesize error;
@synthesize subMessage;

-(id) initWithError:(NSError*) pError
{
    error = pError;

    subMessage = nil;
    return self;
}

@end
