//
//  AliMNSSubscription.m
//  AlibabaCloudMNSiOS
//
//  Created by David Chen on 28/03/2017.
//  Copyright © 2017 AliCloud. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "AliMNSSubscription.h"

@implementation AliMNSSubscription
@synthesize topicOwner;
@synthesize topicName;
@synthesize subscriptionName;
@synthesize endpoint;
@synthesize filterTag;
@synthesize notifyStrategy;
@synthesize notifyContentFormat;
@synthesize createTime;
@synthesize lastModifyTime;
@synthesize subscriptionUrl;
@synthesize subscriber;

-(id) initWithTopicName:(NSString*) pTopicName
   withSubscriptionName:(NSString*) pSubscriptionName
{
    topicName = pTopicName;
    subscriptionName = pSubscriptionName;

    topicOwner = pTopicName;
    endpoint = nil;
    filterTag = nil;
    notifyStrategy = -1;
    notifyContentFormat = -1;
    createTime = -1;
    lastModifyTime = -1;
    subscriber = nil;

    return self;
}

@end
