//
//  AliMNSHttpBodyEncoder.h
//  AlibabaCloudMNSiOS
//
//  Created by David Chen on 28/03/2017.
//  Copyright © 2017 AliCloud. All rights reserved.
//
#import <Foundation/Foundation.h>


@interface AliMNSHttpBodyEncoder : NSObject

+(void)addNodeIfValid:(NSString*)nodeName
        withNodeValue:(NSString*)nodeValue
     withInvalidValue:(NSString*)invalidValue
         withDataDict:(NSMutableDictionary*)dataDict;

+(NSString*) encodeDict:(NSString* )nodeName
           withDataDict:(NSMutableDictionary*) dataDict;

+(NSString*) encodeList:(NSString*) rootNodeName
        withSedNodeName:(NSString*) secNodeName
           withDataList:(NSArray*) dataList;
@end

