//
//  AliMNSQueueMeta.m
//  AlibabaCloudMNSiOS
//
//  Created by David Chen on 28/03/2017.
//  Copyright © 2017 AliCloud. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "AliMNSQueueMeta.h"

@implementation AliMNSQueueMeta

-(id)initWithQueueName:(NSString*) qName
{
    queueName = qName;
    visibilityTimeout = -1;
    maximumMessageSize = -1;
    messageRetentionPeriod = -1;
    delaySeconds = -1;
    activeMessages = -1;
    inactiveMessages = -1;
    delayMessages = -1;
    createTime = -1;
    lastModifyTime = -1;
    pollingWaitSeconds = -1;
    loggingEnable = -1;
    return self;
}

@synthesize queueName;
@synthesize queueURL;
@synthesize visibilityTimeout;
@synthesize maximumMessageSize;
@synthesize messageRetentionPeriod;
@synthesize delaySeconds;
@synthesize activeMessages;
@synthesize inactiveMessages;
@synthesize delayMessages;
@synthesize createTime;
@synthesize lastModifyTime;
@synthesize pollingWaitSeconds;
@synthesize loggingEnable;

@end
